Package org.bukkit.event.entity

# Class EnderDragonChangePhaseEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EnderDragonChangePhaseEvent

All Implemented Interfaces:
  `Cancellable`

public class EnderDragonChangePhaseEvent extends EntityEvent implements Cancellable
Called when an EnderDragon switches controller phase.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EnderDragonChangePhaseEvent(@NotNull EnderDragon enderDragon, EnderDragon.Phase currentPhase, EnderDragon.Phase newPhase)`

## Method Summary

Modifier and Type
Method
Description
`EnderDragon.Phase`
`getCurrentPhase()`
Gets the current phase that the dragon is in.
`@NotNull EnderDragon`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`EnderDragon.Phase`
`getNewPhase()`
Gets the new phase that the dragon will switch to.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setNewPhase(EnderDragon.Phase newPhase)`
Sets the new phase for the ender dragon.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnderDragonChangePhaseEvent

public EnderDragonChangePhaseEvent(@NotNull @NotNull EnderDragon enderDragon, @Nullable EnderDragon.Phase currentPhase, @NotNull EnderDragon.Phase newPhase)

## Method Details

### getEntity

@NotNull public @NotNull EnderDragon getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getCurrentPhase

@Nullable public EnderDragon.Phase getCurrentPhase()
Gets the current phase that the dragon is in. This method will return null when a dragon is first spawned and hasn't yet been assigned a phase.

Returns:
  the current dragon phase

### getNewPhase

@NotNull public EnderDragon.Phase getNewPhase()
Gets the new phase that the dragon will switch to.

Returns:
  the new dragon phase

### setNewPhase

public void setNewPhase(@NotNull EnderDragon.Phase newPhase)
Sets the new phase for the ender dragon.

Parameters:
  `newPhase` - the new dragon phase

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()